#include "static_container/test/assert_new.h"
#include <boost/test/minimal.hpp>
#include "static_container/list_hash.h"
#include <string.h>

using namespace static_container;

///	@test static_container::list_hash
void test_int_hash() {
	typedef list_hash<
		int,
		int,
		10 >	int_hash;
	
	int_hash ihash;
	ihash[ 0 ] = 100;
	ihash[ 5 ] = 20;
	
	BOOST_REQUIRE( 2 == ihash.size() );
	BOOST_REQUIRE( 100 == ihash[ 0 ] );
	BOOST_REQUIRE( 20 == ihash[ 5 ] );
	ihash[ 5 ] = 30;
	BOOST_REQUIRE( 30 == ihash[ 5 ] );
	BOOST_REQUIRE( 2 == ihash.size() );	
}


int test_main( int argc, char* argv[] ) {
	test::begin(); // new Ăяoɓ{苶I
	test_int_hash();
	return 0;
}